package com.dne.ems.repository;

import com.dne.ems.model.PollutantThreshold;
import java.util.List;
import java.util.Optional;

public interface PollutantThresholdRepository {

    PollutantThreshold save(PollutantThreshold threshold);

    List<PollutantThreshold> saveAll(Iterable<PollutantThreshold> thresholds);

    List<PollutantThreshold> findAll();

    Optional<PollutantThreshold> findByPollutantName(String pollutantName);
} 